summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFredy <aluque@soleta.eu>2018-06-14 12:26:18 +0200
committerFredy <aluque@soleta.eu>2018-06-14 12:26:18 +0200
commit43fa7ad384cf5735b24e0bb4449ec47005faa4c9 (patch)
treee7dd2d4a360f989d16f35ac1edb24671efd855cd
parent51e35ee44c497e8e4127ee58283c5b7fed5f034e (diff)
#837 devel update script
-rwxr-xr-xinstaller/pkg-generator/DEBIAN/postinst15
-rwxr-xr-xinstaller/pkg-generator/DEBIAN/preinst16
-rwxr-xr-xinstaller/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh14
3 files changed, 16 insertions, 29 deletions
diff --git a/installer/pkg-generator/DEBIAN/postinst b/installer/pkg-generator/DEBIAN/postinst
index c24a0323..8bb2317e 100755
--- a/installer/pkg-generator/DEBIAN/postinst
+++ b/installer/pkg-generator/DEBIAN/postinst
@@ -1255,21 +1255,6 @@ db_go || true
####### Proceso de instalaciĆ³n de OpenGnsys
#####################################################################
-# test if it is already installed using old installer script
-
-VFILE=/opt/opengnsys/doc/VERSION.txt
-if [ -f $VFILE ]; then
- echo "##############################################################"
- echo "ERROR: File $VFILE exists. This could"
- echo "mean that OpenGnsys has been previously installed using the"
- echo "installer script."
- echo "This apt package is not suitable for upgrading and may break"
- echo "the system. If you are shure what you are doing you could"
- echo "delete or rename that file and try again"
- echo "Terminating!"
- echo "##############################################################"
- exit 1
-fi
# test if it is already installed using new debian packake
diff --git a/installer/pkg-generator/DEBIAN/preinst b/installer/pkg-generator/DEBIAN/preinst
index b739daee..fed7ea14 100755
--- a/installer/pkg-generator/DEBIAN/preinst
+++ b/installer/pkg-generator/DEBIAN/preinst
@@ -4,3 +4,19 @@
# services for packages which are being upgraded until their installation
# or upgrade is completed (following the successful execution of the
# 'postinst' script).
+
+# test if it is already installed using old installer script
+
+VFILE=/opt/opengnsys/doc/VERSION.txt
+if [ -f $VFILE ]; then
+ echo "##############################################################"
+ echo "ERROR: File $VFILE exists. This could"
+ echo "mean that OpenGnsys has been previously installed using the"
+ echo "installer script."
+ echo "This apt package is not suitable for upgrading and may break"
+ echo "the system. If you are shure what you are doing you could"
+ echo "delete or rename that file and try again"
+ echo "Terminating!"
+ echo "##############################################################"
+ exit 1
+fi
diff --git a/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh b/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
index 4a6f62c2..53080333 100755
--- a/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
+++ b/installer/pkg-generator/tmp/opengnsys_installer/opengnsys_git_update.sh
@@ -917,20 +917,6 @@ if [ $? -ne 0 ]; then
exit 1
fi
-VFILE=/opt/opengnsys/doc/VERSION.txt
-if [ -f $VFILE ]; then
- echo "##############################################################"
- echo "ERROR: File $VFILE exists. This could"
- echo "mean that OpenGnsys has been previously installed using the"
- echo "installer script."
- echo "This apt package is not suitable for upgrading and may break"
- echo "the system. If you are shure what you are doing you could"
- echo "delete or rename that file and try again"
- echo "Terminating!"
- echo "##############################################################"
- exit 1
-fi
-
# Detectar datos de auto-configuraciĆ³n del instalador.
autoConfigure